package jpopup.gui.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import jpopup.gui.MainWindow;

/**
 * This action used to close applicaton
 * @author Alexey Kalukin
 *
 */
public class CloseApplicationAction extends AbstractAction {

	private static final long serialVersionUID = -8959743852938203633L;

	private MainWindow mainWindow;
	
	public CloseApplicationAction(MainWindow mainWindow) {
		this.mainWindow = mainWindow;
	}
	
	public void actionPerformed(ActionEvent e) {
		mainWindow.saveSettings();
		mainWindow.saveWindowState();
		System.exit(0); 
	}

}