package jpopup.popupengine;


public class NetBIOSDatagramService extends Protocol {
	/*	private byte[] messageType;			//1 byte
	private byte[] fragmentsStructure;	//1 byte (MoreFragmentsFollow, ThisIsFirstFragment, NodeType)
	private byte[] datagramID;			//2 bytes
	private byte[] sourceIP;			//4 bytes
	private byte[] sourcePort;			//2 bytes
	private byte[] datagramLength;		//2 bytes
	private byte[] packetOffset;		//2 bytes
	private byte[] sourceName;			//some bytes
	private byte[] destinationName;		//some bytes*/
	
	public NetBIOSDatagramService() {
		getFields().put("messageType", new byte[1]);
		getFields().put("fragmentsStructure", new byte[1]);
		getFields().put("datagramID", new byte[2]);
		getFields().put("sourceIP", new byte[4]);
		getFields().put("sourcePort", new byte[2]);
		getFields().put("datagramLength", new byte[2]);
		getFields().put("packetOffset", new byte[2]);
		getFields().put("sourceName", new byte[1]);
		getFields().put("destinationName", new byte[1]);
	}
	
	public NetBIOSDatagramService(byte[] data) {
		this();
		byteToFields(data);
		
		int start = 14;
		int counter = start;
		int length = 0;
		do {
			length++;
			counter++;
		} while (data[counter-1] != 0);
		byte[] tmp = new byte[length];
		System.arraycopy(data, start, tmp, 0, length);
		getFields().put("sourceName", tmp);
		
		start = start+length;			
		length = data.length-start;
		
		tmp = new byte[length];
		System.arraycopy(data, start, tmp, 0, length);
		getFields().put("destinationName", tmp);
	}
	
	public void setSourceIP(byte[] srcIP) {
		getFields().put("sourceIP", srcIP);
	}
	
	public byte[] getSourceIP() {
		return getFields().get("sourceIP");
	}
	
	public void setSourceName(byte[] srcName) {
		getFields().put("sourceName", srcName);
	}
	
	public void setDestinationName(byte[] destName) {
		getFields().put("destinationName", destName);
	}	
}
