package jpopup.text;

import jpopup.history.Message;

/**
 * This interface used to implements message Filters classes
 * @author Alexey Kalukin
 *
 */
public interface MessageFilter {
	/**
	 * Return true if message can going throw the filter
	 * 
	 * @return
	 */
	public boolean isValidMessage(Message message);

	public String getName();

	public void setActive(boolean active);

	public boolean isActive();
}
