package plugins.spamfilters.gui.listeners;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JOptionPane;

import plugins.spamfilters.gui.ContainsMsgFilterWindow;

public class FiltersListMouseListener extends MouseAdapter {
	
	private ContainsMsgFilterWindow mainFrame;
	
	public FiltersListMouseListener(ContainsMsgFilterWindow mainFrame) {
		this.mainFrame = mainFrame;
	}
	
	public void mouseClicked(MouseEvent e) {
		switch (e.getButton()) {
		case MouseEvent.BUTTON1:
			if (e.getClickCount() == 2) {				
				int filterIndex = mainFrame.getFiltersList().locationToIndex(e.getPoint());
				if (filterIndex > -1) {
					int result = JOptionPane.showConfirmDialog(null
						, "Delete filter \"" 
							+ mainFrame.getFilterListModel().elementAt(filterIndex) + "\"?");
					if (result == JOptionPane.OK_OPTION) {
						String filter = (String) mainFrame.getFilterListModel().getElementAt(filterIndex);
						mainFrame.getFilterListModel().removeElement(filter);
						mainFrame.getFilter().removeFilterString(filter);
						mainFrame.getEditFilterButton().setEnabled(false);
						mainFrame.getRemoveFilterButton().setEnabled(false);
					}
				}
			}
				
			break;
		}
	}
}