package jpopup.gui.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.JOptionPane;

import jpopup.gui.MainWindow;

/**
 * This action used to display information about program
 * @author Alexey Kalukin
 *
 */
public class AboutAction extends AbstractAction {

	private static final long serialVersionUID = 1L;

	private MainWindow mainWindow;
	
	public AboutAction(MainWindow mainWindow) {
		this.mainWindow = mainWindow;
	}
	
	public void actionPerformed(ActionEvent e) {
		JOptionPane.showMessageDialog(
						null,
						"GPopup Messenger - WinPopup messenger\n"
						+ "Version: 0.1\n\n"
						+ "Author: Alexey Kalukin\n"
						+ "E-mail: kalukin@gmail.com\n\n"
						+ "Company: Academy of Modern Software Engineering\n"
						+ "Site: http://www.amse.ru\n\n"							
						+ "Thanks to: the_very, elf"
								, "About"
								,JOptionPane.INFORMATION_MESSAGE,mainWindow.getAboutIcon());
	}

}
