package jpopup.gui.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import jpopup.gui.MainWindow;

/**
 * This action used to close current Tab in main window
 * @author Alexey Kalukin
 *
 */
public class CloseTabAction extends AbstractAction {

	private static final long serialVersionUID = -1102958621211388184L;

	private MainWindow mainWindow;
	
	public CloseTabAction(MainWindow mainWindow) {
		this.mainWindow = mainWindow;
	}
	
	public void actionPerformed(ActionEvent arg0) {
		String removeTabName = mainWindow.getChatTabbedPane().getTitleAt(mainWindow.getChatTabbedPane()
				.getSelectedIndex());
		mainWindow.removeTab(removeTabName);
	}
}
