package jpopup.popupengine;


public class TransRequest extends Protocol {
	public static final byte BYTE_COUNT_CONST = 19;
	/*	private static final int DATA_LENGTH = 56;
	 * private byte[] wordCount;			//1 byte
	private byte[] totalParameterCount;	//2 bytes
	private byte[] totalDataCount;		//2 bytes
	private byte[] maxParameterCount;	//2 bytes
	private byte[] maxDataCount;		//2 bytes
	private byte[] maxSetupCount;		//1 byte
	private byte[] reserved;			//1 byte
	private byte[] flags;				//2 bytes
	private byte[] timeOut;				//4 bytes
	private byte[] reserved2;			//2 bytes
	private byte[] parameterCount;		//2 bytes
	private byte[] parameterOffset;		//2 bytes
	private byte[] dataCount;			//2 bytes
	private byte[] dataOffset;			//2 bytes
	private byte[] setupCount;			//1 byte
	private byte[] reserved3;			//1 byte
	private byte[] strangeBytes;		//6 bytes
	private byte[] byteCount;			//2 bytes
	private byte[] transactionName;		//\MAILSLOT\messngr(18)
	private byte[] padding;				//1 byte*/
	
	
	public TransRequest() {
		getFields().put("wordCount", new byte[1]);
		getFields().put("totalParameterCount", new byte[2]);
		getFields().put("totalDataCount", new byte[2]);
		getFields().put("maxParameterCount", new byte[2]);
		getFields().put("maxDataCount", new byte[2]);
		getFields().put("maxSetupCount", new byte[1]);
		getFields().put("reserved", new byte[1]);
		getFields().put("flags", new byte[2]);
		getFields().put("timeOut", new byte[4]);
		getFields().put("reserved2", new byte[2]);			
		getFields().put("parameterCount", new byte[2]);
		getFields().put("parameterOffset", new byte[2]);
		getFields().put("dataCount", new byte[2]);
		getFields().put("dataOffset", new byte[2]);
		getFields().put("setupCount", new byte[1]);
		getFields().put("reserved3", new byte[1]);
		getFields().put("strangeBytes", new byte[6]);
		getFields().put("byteCount", new byte[2]);
		getFields().put("transactionName", new byte[18]);
		getFields().put("padding", new byte[1]);
	}
	
	public TransRequest(byte[] data) {
		this();
		byteToFields(data);
	}
	
	public void setTotalDataCount(byte[] totalDataCount) {
		getFields().put("totalDataCount", totalDataCount);
	}
	
	public void setDataCount(byte[] dataCount) {
		getFields().put("dataCount", dataCount);
	}
	
	public void setByteCount(byte[] byteCount) {
		getFields().put("byteCount", byteCount);
	}
}
