package plugins.spamfilters.gui.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import plugins.spamfilters.gui.ContainsMsgFilterWindow;

public class AddFilterAction extends AbstractAction {
	
	private static final long serialVersionUID = 7714388382906435160L;
	
	private static final String NAME = "Add";
	
	private ContainsMsgFilterWindow mainFrame;
	
	public AddFilterAction(ContainsMsgFilterWindow mainFrame) {
		putValue(Action.NAME, NAME);
		this.mainFrame = mainFrame;
	}
	
	public void actionPerformed(ActionEvent arg0) {			
		String filterString = (String)JOptionPane.showInputDialog(null
																  , "New filter"
																  , "Add new filter"
																  , JOptionPane.PLAIN_MESSAGE
																  , ContainsMsgFilterWindow.getAddFilterIcon()
																  , null, null);
		if (filterString != null) {
			mainFrame.getFilterListModel().addElement(filterString);
			mainFrame.getFilter().addFilterString(filterString);
		}
	}
	
}
