package plugins.spamfilters.gui.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JOptionPane;

import plugins.spamfilters.gui.ContainsMsgFilterWindow;


public class EditFilterAction extends AbstractAction {
	private static final long serialVersionUID = 6216256196687974732L;
	
	private static final String NAME = "Edit";
	
	private ContainsMsgFilterWindow mainFrame;
	
	public EditFilterAction(ContainsMsgFilterWindow mainFrame) {
		putValue(Action.NAME, NAME);
		this.mainFrame = mainFrame;
	}
	
	public void actionPerformed(ActionEvent arg0) {	
		int filterIndex = mainFrame.getFiltersList().getSelectedIndex();
		if (filterIndex > -1) {
			String filter = (String)mainFrame.getFilterListModel().getElementAt(filterIndex);
			filter = JOptionPane.showInputDialog("Edit filter", filter);
			if (filter != null) {
				mainFrame.getFilterListModel().setElementAt(filter, filterIndex);	
				mainFrame.getFilter().setFilterAt(filter, filterIndex);
			}
		}
	}
}
